<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!-- Bootstrap Link -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />
    <title>Bootstrap Flex</title>
  </head>
  <body>
    <div class="container-fluid text-center">
      <h1>Bootstrap Flex</h1>
      <p>
        Use the d-flex class to create a flex container and transform direct
        children into flex items
      </p>
      <div
        style="height: 500px"
        class="d-flex flex-column align-items-center justify-content-center | bg-dark p-3"
      >
        <div class="p-3 bg-success col-2">Flex Item A</div>
        <div class="p-3 bg-warning col-2">Flex Item B</div>
        <div class="p-3 bg-danger col-2">Flex Item C</div>
      </div>

      <h2>Flex row</h2>
      <div class="d-flex flex-row align-items-center | bg-dark p-3">
        <div class="p-3 bg-success">Flex Item A</div>
        <div class="p-3 bg-warning">Flex Item B</div>
        <div class="p-3 bg-danger">Flex Item C</div>
      </div>

      <h2>Flex row reverse</h2>
      <div class="d-flex flex-row-reverse align-items-center | bg-dark p-3">
        <div class="p-3 bg-success">Flex Item A</div>
        <div class="p-3 bg-warning">Flex Item B</div>
        <div class="p-3 bg-danger">Flex Item C</div>
      </div>

      <h2>Create space between elements</h2>
      <div class="d-md-flex flex-row justify-content-around | bg-dark p-3">
        <div class="p-3 bg-success">Flex Item A</div>
        <div class="p-3 bg-warning">Flex Item B</div>
        <div class="p-3 bg-danger">Flex Item C</div>
      </div>

      <h2>Flexbox with margin</h2>
      <div class="d-flex flex-row | bg-dark p-3">
        <div class="mr-auto | p-3 bg-success">Flex Item A</div>
        <div class="p-3 bg-warning">Flex Item B</div>
        <div class="p-3 bg-danger">Flex Item C</div>
        <div class="p-3 bg-primary">Flex Item D</div>
      </div>
    </div>

    <h2>Nested Flex Elements</h2>
    <div class="d-flex flex row justify-content-around | p-3 bg-dark">
      <div class="p-3 bg-success">Flex Item A</div>
      <div class="d-flex flex row justify-content-around w-50">
        <div class="p-3 bg-warning">Flex Item B</div>
        <div class="p-3 bg-danger">Flex Item C</div>
        <div class="p-3 bg-primary">Flex Item D</div>
      </div>
    </div>

    <!-- Bootstrap Script -->
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
